Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 253215 - app-emulation/vmware-modules-1.0.0.20 / gentoo-sources-2.6.28 (error: asm/semaphore.h: No such file or directory)
Summary: app-emulation/vmware-modules-1.0.0.20 / gentoo-sources-2.6.28 (error: asm/sem...
Status: RESOLVED DUPLICATE of bug 242256
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: x86 Linux
: High normal (vote)
Assignee: Gentoo VMWare Bug Squashers [disabled]
URL:
Whiteboard:
Keywords:
: 253349 (view as bug list)
Depends on:
Blocks:
 
Reported: 2008-12-31 04:29 UTC by Tony
Modified: 2009-01-04 12:14 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
environment (environment,134.57 KB, text/plain)
2008-12-31 04:32 UTC, Tony
Details
Kernel config (.config,59.84 KB, text/plain)
2008-12-31 04:35 UTC, Tony
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tony 2008-12-31 04:29:03 UTC
When I tried to emerge =vmware-workstation-6.0.4.93057, there is an emerge build error for vmware-modules-1.0.0.20 which is required by 
vmware-workstation-6.0.4.93057.

This is /var/tmp/portage/app-emulation/vmware-modules-1.0.0.20/temp/build.log

#### BOF ####
 * Determining the location of the kernel source code
 * Found kernel source directory:
 *     /usr/src/linux
 * Found kernel object directory:
 *     /lib/modules/2.6.28-gentoo/build
 * Found sources for kernel version:
 *     2.6.28-gentoo
>>> Unpacking source...
 * Checking kernel options ...
 * [UNUSED_SYMBOLS] is enabled in your kernel                                                                                                                                 [ ok ]
>>> Unpacking VMware-player-2.0.4-93057.i386.tar.gz to /var/tmp/portage/app-emulation/vmware-modules-1.0.0.20/work
>>> Unpacking ./vmware-player-distrib/lib/modules/source//vmmon.tar to /var/tmp/portage/app-emulation/vmware-modules-1.0.0.20/work
 * Converting vmmon-only/Makefile to use M= instead of SUBDIRS= ...                                                                                                           [ ok ]
>>> Unpacking ./vmware-player-distrib/lib/modules/source//vmnet.tar to /var/tmp/portage/app-emulation/vmware-modules-1.0.0.20/work
 * Converting vmnet-only/Makefile to use M= instead of SUBDIRS= ...                                                                                                           [ ok ]
>>> Unpacking ./vmware-player-distrib/lib/modules/source//vmblock.tar to /var/tmp/portage/app-emulation/vmware-modules-1.0.0.20/work
 * Converting vmblock-only/Makefile to use M= instead of SUBDIRS= ...                                                                                                         [ ok ]
 * Applying 010_all_kernel-2.6.25.patch ...                                                                                                                                   [ ok ]
 * Applying 1.0.0.20-makefile-kernel-dir.patch ...                                                                                                                            [ ok ]
 * Applying 1.0.0.20-vmmon-2.6.26.patch ...                                                                                                                                   [ ok ]
 * Applying 1.0.0.20-vmnet-2.6.26.patch ...                                                                                                                                   [ ok ]
 * Applying 1.0.0.20-vmblock-2.6.26-1.patch ...                                                                                                                               [ ok ]
 * Applying 1.0.0.20-vmblock-2.6.26-2.patch ...                                                                                                                               [ ok ]
>>> Source unpacked.
>>> Compiling source in /var/tmp/portage/app-emulation/vmware-modules-1.0.0.20/work ...
 * Preparing vmmon module
make -j3 HOSTCC=i686-pc-linux-gnu-gcc CROSS_COMPILE=i686-pc-linux-gnu- LDFLAGS= auto-build VMWARE_VER=VME_V604 KERNEL_DIR=/usr/src/linux KBUILD_OUTPUT=/lib/modules/2.6.28-gentoo/build 
Using 2.6.x kernel build system.
make -C /lib/modules/2.6.28-gentoo/build M=$PWD SRCROOT=$PWD/. modules
make[1]: Entering directory `/usr/src/linux-2.6.28-gentoo'
make[1]: warning: jobserver unavailable: using -j1.  Add `+' to parent make rule.
  CC [M]  /var/tmp/portage/app-emulation/vmware-modules-1.0.0.20/work/vmmon-only/linux/driver.o
In file included from /var/tmp/portage/app-emulation/vmware-modules-1.0.0.20/work/vmmon-only/./include/x86.h:21,
                 from /var/tmp/portage/app-emulation/vmware-modules-1.0.0.20/work/vmmon-only/linux/driver.h:15,
                 from /var/tmp/portage/app-emulation/vmware-modules-1.0.0.20/work/vmmon-only/linux/driver.c:86:
/var/tmp/portage/app-emulation/vmware-modules-1.0.0.20/work/vmmon-only/./include/x86apic.h:79:1: warning: "APIC_BASE_MSR" redefined
In file included from /usr/src/linux-2.6.28-gentoo/arch/x86/include/asm/fixmap_32.h:29,
                 from /usr/src/linux-2.6.28-gentoo/arch/x86/include/asm/fixmap.h:5,
                 from /usr/src/linux-2.6.28-gentoo/arch/x86/include/asm/apic.h:8,
                 from /usr/src/linux-2.6.28-gentoo/arch/x86/include/asm/smp.h:13,
                 from include/linux/smp.h:30,
                 from include/linux/topology.h:33,
                 from include/linux/mmzone.h:763,
                 from include/linux/gfp.h:4,
                 from include/linux/kmod.h:22,
                 from include/linux/module.h:13,
                 from /var/tmp/portage/app-emulation/vmware-modules-1.0.0.20/work/vmmon-only/linux/driver.c:12:
/usr/src/linux-2.6.28-gentoo/arch/x86/include/asm/apicdef.h:132:1: warning: this is the location of the previous definition
In file included from /var/tmp/portage/app-emulation/vmware-modules-1.0.0.20/work/vmmon-only/./include/x86.h:24,
                 from /var/tmp/portage/app-emulation/vmware-modules-1.0.0.20/work/vmmon-only/linux/driver.h:15,
                 from /var/tmp/portage/app-emulation/vmware-modules-1.0.0.20/work/vmmon-only/linux/driver.c:86:
/var/tmp/portage/app-emulation/vmware-modules-1.0.0.20/work/vmmon-only/./include/x86paging.h:61:1: warning: "PTE_PFN_MASK" redefined
In file included from /usr/src/linux-2.6.28-gentoo/arch/x86/include/asm/processor.h:18,
                 from include/linux/prefetch.h:14,
                 from include/linux/list.h:6,
                 from include/linux/module.h:9,
                 from /var/tmp/portage/app-emulation/vmware-modules-1.0.0.20/work/vmmon-only/linux/driver.c:12:
/usr/src/linux-2.6.28-gentoo/arch/x86/include/asm/page.h:22:1: warning: this is the location of the previous definition
In file included from /var/tmp/portage/app-emulation/vmware-modules-1.0.0.20/work/vmmon-only/linux/vmhost.h:13,
                 from /var/tmp/portage/app-emulation/vmware-modules-1.0.0.20/work/vmmon-only/linux/driver.c:117:
/var/tmp/portage/app-emulation/vmware-modules-1.0.0.20/work/vmmon-only/./include/compat_semaphore.h:5:27: error: asm/semaphore.h: No such file or directory
/var/tmp/portage/app-emulation/vmware-modules-1.0.0.20/work/vmmon-only/linux/driver.c: In function ‘LinuxDriver_Ioctl’:
/var/tmp/portage/app-emulation/vmware-modules-1.0.0.20/work/vmmon-only/linux/driver.c:1834: error: too many arguments to function ‘smp_call_function’
make[3]: *** [/var/tmp/portage/app-emulation/vmware-modules-1.0.0.20/work/vmmon-only/linux/driver.o] Error 1
make[2]: *** [_module_/var/tmp/portage/app-emulation/vmware-modules-1.0.0.20/work/vmmon-only] Error 2
make[1]: *** [sub-make] Error 2
make[1]: Leaving directory `/usr/src/linux-2.6.28-gentoo'
make: *** [vmmon.ko] Error 2
 * 
 * ERROR: app-emulation/vmware-modules-1.0.0.20 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 3223:  Called linux-mod_src_compile
 *             environment, line 2448:  Called die
 * The specific snippet of code:
 *               eval "emake HOSTCC="$(tc-getBUILD_CC)" 						CROSS_COMPILE=${CHOST}- 						LDFLAGS="$(get_abi_LDFLAGS)" 						${BUILD_FIXES} 						${BUILD_PARAMS} 				${BUILD_TARGETS} " || die "Unable to emake HOSTCC="$(tc-getBUILD_CC)" CROSS_COMPILE=${CHOST}- LDFLAGS="$(get_abi_LDFLAGS)" ${BUILD_FIXES} ${BUILD_PARAMS} ${BUILD_TARGETS}";
 *  The die message:
 *   Unable to emake HOSTCC=i686-pc-linux-gnu-gcc CROSS_COMPILE=i686-pc-linux-gnu- LDFLAGS=   auto-build VMWARE_VER=VME_V604 KERNEL_DIR=/usr/src/linux KBUILD_OUTPUT=/lib/modules/2.6.28-gentoo/build
 * 
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/app-emulation/vmware-modules-1.0.0.20/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/app-emulation/vmware-modules-1.0.0.20/temp/environment'.
 * 
#### EOF ####

And here is my "emerge --info":

#### Begin of "emerge --info" ####
Portage 2.1.6.4 (default/linux/x86/2008.0, gcc-4.1.2, glibc-2.6.1-r0, 2.6.28-gentoo i686)
=================================================================
System uname: Linux-2.6.28-gentoo-i686-Intel-R-_Core-TM-2_Duo_CPU_T8300_@_2.40GHz-with-glibc2.0
Timestamp of tree: Wed, 31 Dec 2008 01:15:01 +0000
app-shells/bash:     3.2_p33
dev-lang/python:     2.5.2-r7
dev-util/cmake:      2.4.6-r1
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r2
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.28-r1
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=i686 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -march=i686 -pipe"
DISTDIR="/home/izung/pub/Software/distfiles"
FEATURES="distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://ftp.twaren.net/Linux/Gentoo/ http://distro.ibiblio.org/pub/linux/distributions/gentoo/ http://gentoo.gg3.net/ "
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="en_US"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.namerica.gentoo.org/gentoo-portage"
USE="X acl alsa berkdb bitmap-fonts bzip2 cdr cjk cli cracklib crypt dbus dri dvd fortran gdbm gnome gpm gtk hal iconv isdnlog jpeg midi mmx mmxext mudflap ncurses nls nptl nptlonly openal opengl openmp pam pcre perl png pppd python readline reflection samba session spl sse sse2 ssl ssse3 sysfs tcpd tiff truetype-fonts unicode x86 xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en_US" USERLAND="GNU" VIDEO_CARDS="nvidia vesa"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY
#### End of "emerge --info" ####

PS: Before I report this bug, I searched through the Bugzilla of Gentoo and found a bug similar to (but not same as)this one:
http://bugs.gentoo.org/show_bug.cgi?id=227941
Comment 1 Tony 2008-12-31 04:32:10 UTC
Created attachment 176924 [details]
environment

/var/tmp/portage/app-emulation/vmware-modules-1.0.0.20/temp/environment
Comment 2 Tony 2008-12-31 04:35:49 UTC
Created attachment 176926 [details]
Kernel config

The gentoo kernel 2.6.28 config file.
Comment 3 Tony 2008-12-31 04:49:03 UTC
In this bug,  Brian Johnson said that he has the same problem:
http://bugs.gentoo.org/show_bug.cgi?id=227303#c3
Comment 4 Jens Mueller 2009-01-01 18:04:11 UTC
I still have the problem in 1.0.0.22, with kernel 2.6.27-r7.
Comment 5 Jeroen Roovers (RETIRED) gentoo-dev 2009-01-03 05:52:02 UTC
*** Bug 253349 has been marked as a duplicate of this bug. ***
Comment 6 Mike Auty gentoo-dev 2009-01-03 14:00:32 UTC
Hi guys,

There are security issues with <=vmware-workstation-6.0.5, if you're trying to install vmware-workstation, you should be using vmware-workstation-6.5.0+ (see bug 245941).  I've just masked off the older versions of vmware-workstation, to avoid issues such as this.

At the moment, the only modules that will build properly with 2.6.28 are vmware-modules-1.0.0.23, which only work with vmware-workstation-6.5.0+ or vmware-player-2.5.0+.

Hope that clears things up...
Comment 7 Tony 2009-01-03 15:09:09 UTC
I still want to install vmware-workstation 6.0.x b/c vmware-workstation-6.5.0 is too large.
Many guys have this vmware-modules problem. I think this bug should be fixed.
Comment 8 Mike Auty gentoo-dev 2009-01-03 19:05:01 UTC

*** This bug has been marked as a duplicate of bug 227303 ***
Comment 9 Tony 2009-01-04 03:06:16 UTC
(In reply to comment #8)
> 
> *** This bug has been marked as a duplicate of bug 227303 ***
> 

well, I think this problem is a little different from bug 227303, in this bug the error message is about "asm/semaphore.h", not "nopage".

I am looking forward to seeing this bug fixed since it really sucks.
Comment 10 Mike Auty gentoo-dev 2009-01-04 12:14:32 UTC
Everybody's always looking forward to seeing their bug fixed, since their bugs always suck.

I'm telling you now, I will not support old packages that have security vulnerabilities, whether you think the newer package is too large or not.

*** This bug has been marked as a duplicate of bug 242256 ***